<?
function view_source($targetUrl) {
	global $lang;
	if($targetUrl=="" or $targetUrl==="http://"){
		echo $lang['gather.info141'];
		exit;
	}
	else{
		ini_set('allow_url_fopen', 1);
		$str=file_get_contents($targetUrl);
		if (preg_match_all('#<a(?:.*?)href\s*=\s*(?:["\'\s]?)([^"\'\s]+)(?:.*?)>(.*?)</a>#is',$str, $matches)) {
			$count = count($matches[0]);
			for ($i = 0 ; $i < $count ; $i++ ) {
				if($matches[1][$i]==""){
					continue;
				}
				else{
					$img=strtolower(substr($matches[2][$i],-3));
					if($img=="jpg" or $img=="gif"){
						continue;
					}
					else{
						$note_info[$i]=$matches[2][$i];
						$link=explode(" target",$matches[1][$i]);					
						$note_link[$i]=$matches[1][$i];
					}
				}
			}
		}
		if(!empty($note_info)){
			$info_total=count($note_info);
			if($info_total>80){
				$file_centonts=file_get_contents($note_link[40]);
			}
			elseif($info_total<20){
				$file_centonts=file_get_contents($note_link[9]);				
			}
			else{
				$file_centonts=file_get_contents($note_link[20]);
			}
			echo $file_centonts;
		}
	}
}
echo view_source($_GET['url']);
?>